# norootforbuild

%define		grp		Productivity/Multimedia/Sound/Players

Name:		audacious-plugins
Version:	3.0.2
Release:	1.pm.1.2

Summary:	Plugins for Audacious
License:	GNU General Public License (GPL)
Group:		%{grp}
URL:		http://audacious-media-player.org/

Source0:	http://distfiles.atheme.org/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	audacious-devel = %{version}
BuildRequires:	bluez-devel bs2b-devel esound-devel flac-devel gtkglext-devel libbinio-devel
BuildRequires:	libcddb-devel libcdio-devel libcue-devel libcurl-devel libfaad-devel
BuildRequires:	libffmpeg_oldabi-devel libfluidsynth-devel libmad-devel libmms-devel
BuildRequires:	libmp3lame-devel libmpcdec-devel libmtp-devel libnotify-devel
BuildRequires:	libprojectM-devel libshout-devel libusb-devel wavpack-devel
BuildRequires:	lirc-devel neon-devel SDL-devel libsndfile-devel libtag-devel
BuildRequires:	update-desktop-files libmpg123-devel

%if %suse_version >= 1120
BuildRequires:	libpulse-devel
%endif
%if %suse_version >= 1110
BuildRequires:	sidplay-libs-devel
%else
BuildRequires:	libsidplay-devel
%endif

%description
Core set of plugins for the Audacious audio player.
The plugins contained in this package only have minimal dependencies
on other packages (beyond what is required for Audacious).


%if %suse_version >= 1120
%package output-pulse
Summary:	Pulseaudio Sound Daemon output support for Audacious
Group:		%{grp}

%description output-pulse
Pulseaudio support plugins for Audacious.
%endif


%package input-adplug
Summary:	AdPlug input support for Audacious
Group:		%{grp}

%description input-adplug
AdPlug (AdLib files) support plugins for Audacious.


%package input-sid
Summary:	SID (C64 music) input support for Audacious
Group:		%{grp}

%description input-sid
SID (C64 music files) support plugins for Audacious.


%package input-fluidsynth
Summary:	Fluidsynth input support for Audacious
Group:		%{grp}

%description input-fluidsynth
Fluidsynth MIDI support plugins for Audacious.


#%package control-lirc
#Summary:	LIRc control support for Audacious
#Group:		%{grp}
#
#%description control-lirc
#Infrared Remote Control support for Audacious.


%package transport-mms
Summary:	MMS protocol transport support for Audacious
Group:		%{grp}

%description transport-mms
MMS (Microsoft Media Streaming) protocol transport support for Audacious.


%package transport-http
Summary:	HTTP and WebDAV protocol transport support for Audacious
Group:		%{grp}

%description transport-http
HTTP and WebDAV protocol transport support for Audacious, using the
neon library.


#%package visualization-paranormal
#Summary:	Paranormal Visualization Plugin for Audacious
#Group:		%{grp}
#
#%description visualization-paranormal
#"Paranormal" visualization plugin for Audacious, requires SDL.


#%package visualization-projectM
#Summary:	ProjectM Visualization Plugin for Audacious
#Group:		%{grp}
#
#%description visualization-projectM
#"ProjectM" visualization plugin for Audacious.


%prep
%setup -q -n %{name}-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%__sed -i -e "s|_mm_setzero_pd|ichwilleinfachkeinssedasgehtnichtaufathlonxp|g" configure

%configure \
    --disable-rpath \
    --enable-debug \
    --disable-jack \
    --disable-filewriter_vorbis \
    --enable-amidiplug \
%if %suse_version <= 1110
    --disable-pulse \
%endif
%ifarch %ix86
    --disable-sse2
%endif

export SUSE_ASNEEDED=0
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%find_lang %{name}


%clean
[ -d %{buildroot} -a -n "%{buildroot}" ] && %__rm -rf "%{buildroot}"


%files -f "%{name}.lang"
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/Effect
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/echo.so
#%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/mixdown.so
%{_libdir}/audacious/Effect/resample.so
%{_libdir}/audacious/Effect/sndstretch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/General
#%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
%{_libdir}/audacious/General/cd-menu-items.so
#%{_libdir}/audacious/General/evdev-plug.so
%{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/gtkui.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lyricwiki.so
%{_libdir}/audacious/General/mtp_up.so
%{_libdir}/audacious/General/notify.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/song_change.so
%if %suse_version >= 1120
%{_libdir}/audacious/General/statusicon.so
%endif
%{_libdir}/audacious/General/skins.so
#%{_libdir}/audacious/General/streambrowser.so
%{_libdir}/audacious/Input/aac.so
%{_libdir}/audacious/Input/amidi-plug.so
%dir %{_libdir}/audacious/Input/amidi-plug
%{_libdir}/audacious/Input/amidi-plug/ap-alsa.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/wavpack.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/xsf.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/OSS.so
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
#%{_libdir}/audacious/Output/jackout.so
%{_libdir}/audacious/Output/null.so
%{_libdir}/audacious/Output/sdlout.so
%dir %{_libdir}/audacious/Transport
#%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/unix-io.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/cairo-spectrum.so
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/moodbar.so
%{_libdir}/audacious/Visualization/rocklight.so
#%{_libdir}/audacious/Visualization/spectrum.so
%dir %{_datadir}/audacious/
#%dir %{_datadir}/audacious/images
#%{_datadir}/audacious/images/*
%dir %{_datadir}/audacious/Skins
%dir %{_datadir}/audacious/Skins/Classic
%{_datadir}/audacious/Skins/Classic/*
%dir %{_datadir}/audacious/Skins/Classic1.3
%{_datadir}/audacious/Skins/Classic1.3/*
%dir %{_datadir}/audacious/Skins/Default
%{_datadir}/audacious/Skins/Default/*
%dir %{_datadir}/audacious/Skins/Ivory
%{_datadir}/audacious/Skins/Ivory/*
%dir %{_datadir}/audacious/Skins/Osmosis
%{_datadir}/audacious/Skins/Osmosis/*
%dir %{_datadir}/audacious/Skins/Refugee
%{_datadir}/audacious/Skins/Refugee/*
%dir %{_datadir}/audacious/Skins/TinyPlayer
%{_datadir}/audacious/Skins/TinyPlayer/*
%dir %{_datadir}/audacious/ui
%{_datadir}/audacious/ui/*.ui

%if %suse_version >= 1120
%files output-pulse
%defattr(-,root,root)
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/pulse_audio.so
%endif

%files input-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/adplug.so

%files input-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/sid.so

%files input-fluidsynth
%defattr(-,root,root)
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/amidi-plug/ap-fluidsynth.so

#%files control-lirc
#%defattr(-,root,root)
#%dir %{_libdir}/audacious/General
#%{_libdir}/audacious/General/lirc.so

%files transport-mms
%defattr(-,root,root)
%{_libdir}/audacious/Transport/mms.so

%files transport-http
%defattr(-,root,root)
%dir %{_libdir}/audacious/Transport
%{_libdir}/audacious/Transport/neon.so

#%files visualization-paranormal
#%defattr(-,root,root)
#%dir %{_libdir}/audacious/Visualization
#%{_libdir}/audacious/Visualization/paranormal.so
#%dir %{_datadir}/audacious/paranormal
#%dir %{_datadir}/audacious/paranormal/Presets
#%config %{_datadir}/audacious/paranormal/Presets/*

#%files visualization-projectM
#%defattr(-,root,root)
#%{_libdir}/audacious/Visualization/projectm-1.0.so


%changelog
* Sun Aug 28 2011 detlef@links2linux.de
- new upstream version <3.0.2>
* Sat Aug 13 2011 detlef@links2linux.de
- new upstream version <3.0.1>
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <2.5.3>
* Thu Jun 23 2011 detlef@links2linux.de
- new upstream version <2.5.2>
* Sat May 21 2011 detlef@links2linux.de
- new upstream version <2.5.1>
* Sun Apr 17 2011 detlef@links2linux.de
- new upstream version <2.5.0>
* Sun Feb 27 2011 detlef@links2linux.de
- add no libavcodec patch for new ffmpeg
* Wed Feb 23 2011 detlef@links2linux.de
- new upstream version <2.4.4>
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <2.4.3>
* Fri Dec 31 2010 detlef@links2linux.de
- add alsa patch <2.4.2-2>
* Wed Dec  8 2010 detlef@links2linux.de
- new upstream version <2.4.2>
* Wed Sep  8 2010 detlef@links2linux.de
- rebuild with projectM 2.0.1  <2.4.0-5>
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version <2.4-rc3>
* Fri Apr  9 2010 detlef@links2linux.de
- new upstream version <2.3>
* Wed Mar 17 2010 detlef@links2linux.de
- enable projectM support
* Wed Dec  9 2009 detlef@links2linux.de
- new upstream version <2.2>
* Wed Jul  8 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.1>
* Fri Jun  5 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.0.1>
* Sun Jul 20 2008 detlef@links2linux.de
- resplit subpackages:
  audacious-plugins contains the core-plugins because package managers are stupid ;)
* Wed Jul  9 2008 guru@unixtech.be
- added explicit list of plugins
* Tue Jul  8 2008 guru@unixtech.be
- add AdLib support
* Mon Jul  7 2008 guru@unixtech.be
- build against libmtp-0.3.0
- many fixes/patches
- patches to build on openSUSE 10.2
* Mon May 26 2008 detlef@links2linux.de
- new upstream version <1.5.1>
* Sun Mar 30 2008 detlef@links2linux.de
- disable ss2 for ix86, some old cpus doesn't support sse2
* Sat Mar 15 2008 detlef@links2linux.de
- new upstream version <1.5.0>
* Fri Feb  1 2008 detlef@links2linux.de
- new upstream version <1.4.5>
* Wed Jan  2 2008 detlef@links2linux.de
- new upstream version <1.4.4>
* Mon Dec 31 2007 detlef@links2linux.de
- new upstream version <1.4.3.2>
* Sat Dec 29 2007 detlef@links2linux.de
- new upstream version <1.4.3>
* Sun Dec 23 2007 detlef@links2linux.de
- new upstream version <1.4.2>
* Fri Nov 23 2007 detlef@links2linux.de
- add support for neon and C64 SID
* Mon Nov 19 2007 detlef@links2linux.de
- new upstream release <1.4.1>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream release <1.4.0>
* Mon Nov  5 2007 detlef@links2linux.de
- switch to 1.4 on PackMan
- Audacious 1.4 is now complete, and is now recommended over 1.3
* Fri Nov  2 2007 detlef@links2linux.de
- new upstream release <1.4.0-rc1>
* Mon Oct 29 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta4>
* Mon Oct 15 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta3>
* Thu Sep 13 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr4>
* Sun Sep  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr3>
* Thu Aug  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr2>
* Mon Jul 23 2007 detlef@links2linux.de
- initial build <1.4.0-dr1>
